
Application: gvSIG desktop - gvSIG bugs #4786
NullPointerException when opening a project
01/12/2018 05:57 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Application
Target version: 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2846 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

When I open a whatever project in build 2846 a warning message appears ("Warning - Some elements of the project could not be
loaded. Probably you need to install some plugins... etc.") due to a NullPointerException related to persistence:

INFO 876446 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.ProjectExtension.execute('application-project-open')
INFO 881443 AWT-EventQueue-0 org.gvsig.app.project.documents.view.DefaultViewDocument - No order manager found in
persistence.
WARN 881463 AWT-EventQueue-0 org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue - 
java.lang.NullPointerException
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.getFeatureCount(DefaultFeatureStore.java:2431)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.getData(DefaultFeatureReferenceSelection.java:330)
    at
org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.loadFromState(DefaultFeatureReferenceSelection.java:490)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.loadFromState(DefaultFeatureSelection.java:717)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:327)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:76)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:172)
    at org.gvsig.tools.persistence.impl.AbstractPersistentState.get(AbstractPersistentState.java:
)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.loadFromState(DefaultFeatureSelection.java:717)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:327)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:76)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:172)
    at org.gvsig.tools.persistence.impl.AbstractPersistentState.get(AbstractPersistentState.java:170)
    at org.gvsig.tools.persistence.impl.AbstractPersistentState.get(AbstractPersistentState.java:149)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.loadFromState(DefaultFeatureStore.java:562)
    [...]
WARN 881463 AWT-EventQueue-0 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen
multiresource MultiResource C:\Geodata\Italy\GN\regioni.shp
WARN 881463 AWT-EventQueue-0 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen
multiresource MultiResource C:\Geodata\Italy\GN\regioni.shp
WARN 881463 AWT-EventQueue-0 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen
multiresource MultiResource C:\Geodata\Italy\GN\regioni.shp
INFO 881473 AWT-EventQueue-0 org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore - load() broken:false, Shape,
_entity_:Persistence%3ASHPStoreParameters,shxFile:C%3A%5CGeodata%5CItaly%5CGN%5Cregioni.shx,allowInconsistenciesInGeometryType:false,dbfFile:C%3A%5CGeodata%5CItaly%5CGN%5Cregioni.dbf,CRS:EPSG%3A4326,useNullGeometry:false,shpFile:C%3A%5CGeodata%5CItaly%5CGN%5Cregioni.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false.

iesInGeometryType:false,dbfFile:C%3A%5CGeodata%5CItaly%5CGN%5Cregioni.dbf,CRS:EPSG%3A4326,useNullGeometry:false,shpFile:C%3A%5CGeodata%5CItaly%5CGN%5Cregioni.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false.

:false,shpFile:C%3A%5CGeodata%5CItaly%5CGN%5Cregioni.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false.

oviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false.

s:false.
Associated revisions
Revision 43725 - 01/18/2018 08:05 PM - Joaquín  del Cerro Murciano

refs #4786, corregido error en la persistencia de DefaultFeatureSelection

History
#1 - 01/18/2018 03:20 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to In progress

#2 - 01/18/2018 08:05 PM - Joaquín  del Cerro Murciano
- Status changed from In progress to Fixed

#3 - 01/29/2018 07:21 PM - Antonio Falciano
- Status changed from Fixed to Closed
